<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    validation
 */

/**
 * Hook class.
 */
class Hook_config_validate_new_comcode_pages
{
    /**
     * Gets the details relating to the config option.
     *
     * @return array The details
     */
    public function get_details() : array
    {
        return [
            'human_name' => 'VALIDATE_NEW_COMCODE_PAGES',
            'type' => 'tick',
            'category' => 'CONTENT_EDITING',
            'group' => '_COMCODE',
            'explanation' => 'CONFIG_OPTION_validate_new_comcode_pages',
            'shared_hosting_restricted' => '0',
            'order_in_category_group' => 5,
            'list_options' => '',
            'required' => true,
            'public' => false,
            'addon' => 'validation',
        ];
    }

    /**
     * Gets the default value for the config option.
     *
     * @return ?string The default value (null: option is disabled)
     */
    public function get_default() : ?string
    {
        if (!addon_installed('validation')) {
            return null;
        }

        return '1';
    }
}
